- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinTreeNode Class Reference

A class from which the real tree nodes should be derived from. More...

`#include <CoinSearchTree.hpp>`

List of all members.

## Public Member Functions
virtual | ~CoinTreeNode ()
| A measure of fractionality, e.g., the fraction of unsatisfied integrality requirements.
int | getDepth () const
double | getQuality () const
double | getTrueLB () const
void | setDepth (int d)
void | setQuality (double q)
void | setTrueLB (double tlb)
## Protected Member Functions
| CoinTreeNode ()
| CoinTreeNode (int d, double q=-COIN_DBL_MAX, double tlb=-COIN_DBL_MAX)
| CoinTreeNode (const CoinTreeNode &x)
CoinTreeNode & | operator= (const CoinTreeNode &x)
## Private Attributes
int | depth_
| The depth of the node in the tree.
double | quality_
| Some quality for the node.
double | true_lower_bound_
| A true lower bound on the node.

## Detailed Description

A class from which the real tree nodes should be derived from.

Some of the data that undoubtedly exist in the real tree node is replicated here for fast access. This class is used in the various comparison functions.

Definition at line 16 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinTreeNode::CoinTreeNode | ( |  | ) | `[inline, protected]`

Definition at line 18 of file CoinSearchTree.hpp.

CoinTreeNode::CoinTreeNode | ( | int | d,
|  | double | q = `-COIN_DBL_MAX`,
|  | double | tlb = `-COIN_DBL_MAX` |
| ) |  |  | `[inline, protected]`

Definition at line 22 of file CoinSearchTree.hpp.

CoinTreeNode::CoinTreeNode | ( | const CoinTreeNode & | x | ) | `[inline, protected]`

Definition at line 28 of file CoinSearchTree.hpp.

virtual CoinTreeNode::~CoinTreeNode | ( |  | ) | `[inline, virtual]`

A measure of fractionality, e.g., the fraction of unsatisfied integrality requirements.

Definition at line 54 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinTreeNode& CoinTreeNode::operator= | ( | const CoinTreeNode & | x | ) | `[inline, protected]`

Definition at line 32 of file CoinSearchTree.hpp.

References depth_, quality_, and true_lower_bound_.

int CoinTreeNode::getDepth | ( |  | ) | const`[inline]`

Definition at line 56 of file CoinSearchTree.hpp.

References depth_.

Referenced by CoinSearchTreeCompareBreadth::operator()(), and CoinSearchTreeCompareDepth::operator()().

double CoinTreeNode::getQuality | ( |  | ) | const`[inline]`

Definition at line 57 of file CoinSearchTree.hpp.

References quality_.

Referenced by CoinSearchTreeManager::bestQuality(), and CoinSearchTreeCompareBest::operator()().

double CoinTreeNode::getTrueLB | ( |  | ) | const`[inline]`

Definition at line 58 of file CoinSearchTree.hpp.

References true_lower_bound_.

void CoinTreeNode::setDepth | ( | int | d | ) | `[inline]`

Definition at line 60 of file CoinSearchTree.hpp.

References depth_.

void CoinTreeNode::setQuality | ( | double | q | ) | `[inline]`

Definition at line 61 of file CoinSearchTree.hpp.

References quality_.

void CoinTreeNode::setTrueLB | ( | double | tlb | ) | `[inline]`

Definition at line 62 of file CoinSearchTree.hpp.

References true_lower_bound_.

## Member Data Documentation

int CoinTreeNode::depth_`[private]`

The depth of the node in the tree.

Definition at line 41 of file CoinSearchTree.hpp.

Referenced by getDepth(), operator=(), and setDepth().

double CoinTreeNode::quality_`[private]`

Some quality for the node.

For normal branch-and-cut problems the LP relaxation value will do just fine. It is probably an OK approximation even if column generation is done.

Definition at line 45 of file CoinSearchTree.hpp.

Referenced by getQuality(), operator=(), and setQuality().

double CoinTreeNode::true_lower_bound_`[private]`

A true lower bound on the node.

May be -infinity. For normal branch-and-cut problems the LP relaxation value is OK. It is different when column generation is done.

Definition at line 49 of file CoinSearchTree.hpp.

Referenced by getTrueLB(), operator=(), and setTrueLB().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Clp-1.5.0/CoinUtils/src/CoinSearchTree.hpp